#include <bits/stdc++.h>
#define ll long long
#define int long long
#define Sayan ios_base::sync_with_stdio(0); cin.tie(0); cout.tie(0)
#define file(s) if (fopen(s".in", "r")) freopen(s".in", "r", stdin), freopen(s".out", "w", stdout)
#define all(a) a.begin() , a.end()
#define Int(a,x) a+1 , a+1+x
#define sz() size()
#define F first
#define S second
#define pb push_back
#define yes cout << "YES\n"
#define no cout << "NO\n"
#define pii pair<ll,ll>
using namespace std ;

const ll N = 3e5+5;
const ll INF = 1e18;
const ll mod = 1e9+7;

int a[N];
map<int,int>mp;

signed main () {
	Sayan;
	int tt=1;
	//  cin>>tt;
	while(tt--){
		int n,m;
		cin>>n>>m;
		for(int i=1;i<=m;i++){
			cin>>a[i];
			mp[a[i]]++;
		}
		vector<int>v;
		for(auto to:mp){
			if(to.S>=n)v.pb(to.F);
		}
		cout<<v.size()<<'\n';
		for(auto to:v)cout<<to<<" ";
	}
}
